### Function

# Goa ExchangeProxy new

since: 3.6.0

#### Declaration [src]

    void
    goa_exchange_proxy_new (
      GDBusConnection* connection,
      GDBusProxyFlags flags,
      const gchar* name,
      const gchar* object_path,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.Exchange. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_exchange_proxy_new_finish()` to get the result of the operation.

See `goa_exchange_proxy_new_sync()` for the synchronous, blocking version of this constructor.

Available since: 3.6.0

This function completes asynchronously. Use `goa_exchange_proxy_new_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`flags`

  Type: `GDBusProxyFlags`

  Flags from the `GDBusProxyFlags` enumeration.

`name`

  Type: `const gchar*`

  A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  An object path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.